function val = admedian(X,dim)

if isvector(X) && (nargin<2 || isempty(dim))
    val = median(X(~isnan(X)));
else
    if nargin<2 || isempty(dim)
        dim = 1;
    end
    % how to efficiently isolate the dimension?
    dims = 1:numel(size(X));
    siz = size(X);
    
    % move the required dimension to the front
    Y = permute(X,[dim dims(dims~=dim)]);
    [temp,ix] = sort([dim dims(dims~=dim)],'ascend');
    
    Y = reshape(Y,[siz(dim),prod(siz(dims~=dim))]);
    
    % now the desired dimension is the first one and we'll be left with a
    % vector
    
    val = zeros(1,size(Y,2));
    
    for ii = 1:size(Y,2)
        val(ii) = median(Y(~isnan(Y(:,ii)),ii));
    end
    % must be reshaped, then permuted back to what we started with
    
    val = reshape(val,[1,siz(dims~=dim)]);
    val = permute(val,ix);
    
end