function [h,ax] = pfig(figsize,fsiz,h)

% same as thesisfig but applies to every axes handle within the specified
% figure

if nargin<1 || isempty(figsize)
	figsize = [14 11];
end
if nargin<2 || isempty(fsiz)
    fsiz = 12;
end
if nargin<3 || isempty(h)
    h = gcf;
end

figure(h)
% ax = get(h,'CurrentAxes');
ax = get(h,'children');

set(gcf,'paperunits','centimeters')
set(gcf,'paperposition',[2 2 figsize])

% as opposed to wfig, this will now only get used when we don't want the
% background to be white
set(h,'inverthardcopy','off')

for ii = 1:numel(ax)
    if strcmpi(get(ax(ii),'type'),'axes')
        xlab = get(get(ax(ii),'XLabel'),'String');
        ylab = get(get(ax(ii),'YLabel'),'String');

        set(ax(ii),'fontsize',fsiz,'fontname','arial')
        set(ax(ii),'ticklength',[0.02 0.015])
        set(ax(ii),'linewidth',1)

    %     axes(ax(ii))
        xlabel(ax(ii),xlab)
        ylabel(ax(ii),ylab)
    end
end