function seqdata = scrnaseqprocess(rnacounts)

% sandbox for current code for testing synthetic scRNASeq analysis

meancounts = mean(rnacounts,2);
varcounts = var(rnacounts,[],2);
cv2 = varcounts./(meancounts.^2);


[sm,xi] = sort(meancounts,'ascend');
scv2 = cv2(xi);

[medg,mxg] = windowedDM(sm,scv2,81,60);

badinds = [false,diff(mxg)==0];
mxg(badinds) = [];
medg(badinds) = [];

medi = interp1(mxg,medg,meancounts);
% medi = interp1(mxg,medg,meancounts,'linear','extrap');

DM = log10(cv2) - log10(medi);

% this is probably the point at which this function should stop, before
% grouping the genes based on whether they are upregulated, etc..

seqdata = struct('meancounts',meancounts,'cv2',cv2,'DM',DM);
