function msg = timeremmsg(timerem)

% convert the time remaining into the desired format to display on the
% waitbar or wherever it's required

% At the moment, the only format included is the 2 significant figures in
% the h:m:s format.

if isnan(timerem)
    msg = 'Calculating time left';
    return
end
if timerem==0
    msg = 'Finishing';
    return
end

hoursrem = floor(timerem/3600);
minsrem = floor((timerem - 3600*hoursrem)/60);
secsrem = floor(timerem - 3600*hoursrem - 60*minsrem);

if hoursrem>0
    msg = sprintf('%d hours %d min remaining',hoursrem,minsrem);
elseif minsrem>10
    msg = sprintf('%d min remaining',minsrem+1);
else
    msg = sprintf('%d min %d sec remaining',minsrem,secsrem);
end
